aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ilya Volynets <iluxa@gentoo.org> 2006-04-29 10:01:28 +0000
committerAvatar Ilya Volynets <iluxa@gentoo.org> 2006-04-29 10:01:28 +0000
commitee9c364bb694848554c38bd7cc9ae9d596e9cd8a (patch)
tree191bff65d1d5494e5a473df80f56ed1244b8ac39
parenta7b852f0bd6798cff22d2ade85a764e9af8944bf (diff)
downloadpaludis-ee9c364bb694848554c38bd7cc9ae9d596e9cd8a.tar.gz
paludis-ee9c364bb694848554c38bd7cc9ae9d596e9cd8a.tar.xz
Add {ECONF,EMAKE,EINSTALL,WGET}_WRAPPER variables
as well as WGET and WGET_EXTRA.
-rw-r--r--ebuild/build_functions.bash9
-rw-r--r--ebuild/builtin_fetch.bash5
2 files changed, 8 insertions, 6 deletions
diff --git a/ebuild/build_functions.bash b/ebuild/build_functions.bash
index fae65c7..d6a07f9 100644
--- a/ebuild/build_functions.bash
+++ b/ebuild/build_functions.bash
@@ -24,6 +24,7 @@
econf()
{
local LOCAL_EXTRA_ECONF="${EXTRA_ECONF}"
+ local LOCAL_ECONF_WRAPPER="${ECONF_WRAPPER}"
[[ -z "${ECONF_SOURCE}" ]] && ECONF_SOURCE=.
@@ -55,7 +56,7 @@ econf()
fi
fi
- cmd="${cmd} $@ ${LOCAL_EXTRA_ECONF}"
+ cmd="${LOCAL_ECONF_WRAPPER} ${cmd} $@ ${LOCAL_EXTRA_ECONF}"
echo "${cmd}" 1>&2
${cmd} || die "econf failed"
@@ -67,14 +68,14 @@ econf()
emake()
{
- echo ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@" 1>&2
- ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@"
+ echo ${EMAKE_WRAPPER} ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@" 1>&2
+ ${EMAKE_WRAPPER} ${MAKE:-make} ${MAKEOPTS} ${EXTRA_EMAKE} "$@"
}
einstall()
{
if [[ -f Makefile ]] || [[ -f makefile ]] || [[ -f GNUmakefile ]] ; then
- local cmd="make prefix='${D}/usr'"
+ local cmd="${EINSTALL_WRAPPER} make prefix='${D}/usr'"
cmd="${cmd} mandir='${D}/usr/share/man'"
cmd="${cmd} infodir='${D}/usr/share/info'"
cmd="${cmd} datadir='${D}/usr/share'"
diff --git a/ebuild/builtin_fetch.bash b/ebuild/builtin_fetch.bash
index cbf6239..a8b0d34 100644
--- a/ebuild/builtin_fetch.bash
+++ b/ebuild/builtin_fetch.bash
@@ -20,6 +20,7 @@
builtin_fetch()
{
local a nofetch unique_aa old_aa
+ local LOCAL_WGET=${WGET:-wget}
for a in ${FLAT_SRC_URI} ; do
local aa=${a##*/}
hasq "${aa}" ${unique_aa} || unique_aa="${unique_aa} ${aa}"
@@ -40,8 +41,8 @@ builtin_fetch()
ebuild_section "Need to fetch ${aa}"
old_aa="${aa}"
fi
- echo wget -T 30 -t 1 -O "${DISTDIR}/${aa}" "${a}" 1>&2
- if ! wget -T 30 -t 1 -O "${DISTDIR}/${aa}" "${a}" ; then
+ echo ${WGET_WRAPPER} ${LOCAL_WGET} ${EXTRA_WGET} -T 30 -t 1 -O "${DISTDIR}/${aa}" "${a}" 1>&2
+ if ! ${WGET_WRAPPER} ${LOCAL_WGET} ${EXTRA_WGET} -T 30 -t 1 -O "${DISTDIR}/${aa}" "${a}" ; then
rm -f "${DISTDIR}/${aa}"
fi
else